Bug 201133 - Debugger does not start if there is no main
Debugger does not start if there is no main
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
7.0.1
All All
: P2 (vote)
: 7.0.1
Assigned To: Egor Ushakov
issues@cnd
701patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-19 15:55 UTC by Egor Ushakov
Modified: 2011-09-26 13:38 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Egor Ushakov 2011-08-19 15:55:19 UTC
appeared on hotspot.

steps to reproduce:
- use any binary without debug information as a "runner" (e.g. /bin/sh on some platforms)
- it should start the real binary or load a library with the debug information
- start debug
Error window appears (Function \"main\" not defined) and debugger does not continue.
Comment 1 Egor Ushakov 2011-08-19 16:03:01 UTC
fixed in:
http://hg.netbeans.org/cnd-main/rev/91db6f4849cf
Comment 2 Egor Ushakov 2011-08-19 16:04:22 UTC
please verify on elif
Comment 3 Quality Engineering 2011-08-20 14:12:48 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/91db6f4849cf
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #201133 (Debugger does not start if there is no main)
Comment 4 dnikitin 2011-08-23 13:12:19 UTC
Verified in NetBeans IDE 7.0.1 (Build oss-platform-build-30-on-20110823)
Comment 5 Alexander Simon 2011-08-24 11:58:37 UTC
integrated in release701_fixes:
84915cc3965a transplanted to dfb53e039574
Comment 6 Quality Engineering 2011-08-25 04:26:15 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/dfb53e039574
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #201133 (Debugger does not start if there is no main)
(transplanted from 84915cc3965aa0590500259af29a5f80a20a13f3)
Comment 7 dnikitin 2011-08-29 15:08:04 UTC
verified in 7.0.1 patch1
Comment 8 Quality Engineering 2011-09-26 13:38:19 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/84915cc3965a
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #201133 (Debugger does not start if there is no main)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo